import { _ as __rest } from './tslib.es6-ab63fd84.js';
import React__default from 'react';
import { Textarea } from '@mantine/core';
import { u as useStyles } from './index-c3177e04.js';
import { u as useTemplateVariant } from './index-38e03570.js';

const TextArea = (_a) => {
    var { styles } = _a, props = __rest(_a, ["styles"]);
    const variantStyle = useTemplateVariant();
    const { classes } = useStyles({ variantStyle }, { name: 'MantineTextarea', styles });
    return (React__default.createElement(Textarea, Object.assign({ classNames: {
            input: classes.input,
        }, minRows: 2, maxRows: 4 }, props)));
};

export { TextArea as T };
